import palette from '../palette';

export default {
	colors: {
		...palette,
		active: {
			color: palette.pink['600'],
			background: palette.pink['100'],
			border: palette.pink['200'],
		},
		focus: {
			color: '#fff',
			border: palette.teal['300'],
			background: palette.teal['200'],
		},
		button: {
			blank: {
				color: '#000',
				border: palette.gray['200'],
				background: '#fff',
			},
			none: {
				color: palette.gray['500'],
				border: palette.gray['200'],
				background: '#fff',
			},
			info: {
				color: '#fff',
				border: palette.azure['500'],
				background: palette.azure['400'],
			},
			success: {
				color: '#fff',
				border: palette.submarine['500'],
				background: palette.submarine['400'],
			},
			warning: {
				color: '#000',
				border: palette.tangerine['500'],
				background: palette.tangerine['400'],
			},
			error: {
				color: '#fff',
				border: palette.cerise['500'],
				background: palette.cerise['400'],
			},
			disabled: {
				color: palette.gray['200'],
				border: palette.gray['200'],
				background: palette.gray['100'],
			},
		},
		calendar: {
			line: {
				border: palette.gray['200'],
			},
			day: {
				color: palette.gray['500'],
			},
			date: {
				color: palette.gray['600'],
			},
			otherMonth: {
				color: palette.gray['400'],
			},
			selected: {
				color: palette.purple['400'],
				border: palette.purple['200'],
				background: palette.purple['100'],
			},
		},
		field: {
			input: {
				border: palette.gray['300'],
				background: '#fff',
			},
			label: {
				color: palette.gray['500'],
				background: '#fff',
			},
			disabled: {
				color: palette.gray['300'],
			},
			icon: {
				color: palette.gray['500'],
			},
			radioButton: {
				active: {
					color: '#000',
					background: palette.purple['200'],
					border: palette.purple['300'],
				},
			},
			info: {
				border: palette.azure['500'],
			},
			success: {
				border: palette.submarine['500'],
			},
			warning: {
				border: palette.tangerine['500'],
			},
			error: {
				border: palette.cerise['500'],
			},
		},
		humanVerify: {
			no: {
				backgroud: palette.cerise['500'],
			},
			yes: {
				backgroud: palette.submarine['500'],
			},
		},
		list: {
			item: {
				border: palette.gray['100'],
			},
		},
		message: {
			none: {
				color: palette.gray['400'],
				border: palette.gray['200'],
				background: palette.gray['100'],
			},
			info: {
				color: palette.azure['400'],
				border: palette.azure['200'],
				background: palette.azure['100'],
			},
			success: {
				color: palette.submarine['400'],
				border: palette.submarine['200'],
				background: palette.submarine['100'],
			},
			warning: {
				color: palette.tangerine['400'],
				border: palette.tangerine['200'],
				background: palette.tangerine['100'],
			},
			error: {
				color: palette.cerise['400'],
				border: palette.cerise['200'],
				background: palette.cerise['100'],
			},
		},
		navigation: {
			logo: {
				color: '#000',
			},
			top: {
				color: '#000',
				background: palette.azure['300'],
				border: palette.azure['400'],
				active: {
					background: palette.azure['200'],
					color: '#000',
				},
			},
			side: {
				color: '#000',
				background: palette.saffron['300'],
				border: palette.saffron['400'],
				active: {
					background: palette.saffron['200'],
					color: '#000',
				},
				toggler: {
					color: '#000',
				},
			},
		},
		modal: {
			title: {
				color: '#000',
				background: palette.azure['200'],
				border: palette.azure['300'],
			},
		},
		table: {
			head: {
				background: palette.purple['400'],
			},
			nth: {
				background: palette.gray['50'],
			},
		},
	},
};
